## org.apache.lucene.xmlparser.builders
Class SpanBuilderBase

    java.lang.Object
      org.apache.lucene.xmlparser.builders.SpanBuilderBase

All Implemented Interfaces:
  SpanQueryBuilder, QueryBuilder

Direct Known Subclasses:
  BoostingTermBuilder, SpanFirstBuilder, SpanNearBuilder, SpanNotBuilder, SpanOrBuilder, SpanOrTermsBuilder, SpanTermBuilder

    public abstract class SpanBuilderBase

extends Object
implements SpanQueryBuilder

Constructor Summary
`SpanBuilderBase()`

Method Summary
`Query` `getQuery(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.lucene.xmlparser.builders.SpanQueryBuilder
`getSpanQuery`

Constructor Detail

### SpanBuilderBase

    public SpanBuilderBase()

Method Detail

### getQuery

    public Query getQuery(Element e)
                   throws ParserException

  Specified by:
    `getQuery` in interface `QueryBuilder`
  Throws:
    `ParserException`